<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13.0.2) on Wed Apr 15 18:45:10 EDT 2020 -->
<title>User</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-15">
<meta name="description" content="declaration: package: photos.src.Photos, class: User">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":9,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">photos.src.Photos</a></div>
<h1 title="Class User" class="title">Class User</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">photos.src.Photos.User</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.io.Serializable</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">User</span>
extends java.lang.Object
implements java.io.Serializable</pre>
<div class="block">User Class
 Contains fields/methods for the user account</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#photos.src.Photos.User">Serialized Form</a></dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="Album.html" title="class in photos.src.Photos">Album</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#listOfAlbums">listOfAlbums</a></span></code></th>
<td class="colLast">
<div class="block">User's list of albums</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="Tag.html" title="class in photos.src.Photos">Tag</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#listOfTags">listOfTags</a></span></code></th>
<td class="colLast">
<div class="block">List of tags the User can choose from when creating a new tag</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#sampleTagNames">sampleTagNames</a></span></code></th>
<td class="colLast">
<div class="block">List of pre-defined tags the User can choose from when creating a new tag</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#username">username</a></span></code></th>
<td class="colLast">
<div class="block">User's username</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">User</a></span>()</code></th>
<td class="colLast">
<div class="block">User constructor</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String)">User</a></span>&#8203;(java.lang.String&nbsp;username)</code></th>
<td class="colLast">
<div class="block">User constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createAlbum(javafx.event.ActionEvent)">createAlbum</a></span>&#8203;(javafx.event.ActionEvent&nbsp;event)</code></th>
<td class="colLast">
<div class="block">Creates an album for the User</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteAlbum(javafx.event.ActionEvent)">deleteAlbum</a></span>&#8203;(javafx.event.ActionEvent&nbsp;event)</code></th>
<td class="colLast">
<div class="block">Deletes album from User's list</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#displayAlbum()">displayAlbum</a></span>()</code></th>
<td class="colLast">
<div class="block">Displays album</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code><a href="Album.html" title="class in photos.src.Photos">Album</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAlbum(java.lang.String)">getAlbum</a></span>&#8203;(java.lang.String&nbsp;albumName)</code></th>
<td class="colLast">
<div class="block">Returns the album based on the album name</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="Album.html" title="class in photos.src.Photos">Album</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getListOfAlbums()">getListOfAlbums</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="Tag.html" title="class in photos.src.Photos">Tag</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getListOfTags()">getListOfTags</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getUsername()">getUsername</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#login(javafx.event.ActionEvent,java.lang.String)">login</a></span>&#8203;(javafx.event.ActionEvent&nbsp;event,
java.lang.String&nbsp;username)</code></th>
<td class="colLast">
<div class="block">Login Method</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#logout(javafx.event.ActionEvent)">logout</a></span>&#8203;(javafx.event.ActionEvent&nbsp;event)</code></th>
<td class="colLast">
<div class="block">Logout Method</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#openAlbum(javafx.event.ActionEvent)">openAlbum</a></span>&#8203;(javafx.event.ActionEvent&nbsp;event)</code></th>
<td class="colLast">
<div class="block">When user clicks on open</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#quit(javafx.event.ActionEvent)">quit</a></span>&#8203;(javafx.event.ActionEvent&nbsp;event)</code></th>
<td class="colLast">
<div class="block">Quit method</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#renameAlbum(javafx.event.ActionEvent)">renameAlbum</a></span>&#8203;(javafx.event.ActionEvent&nbsp;event)</code></th>
<td class="colLast">
<div class="block">Renames album</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#save()">save</a></span>()</code></th>
<td class="colLast">
<div class="block">Save method</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#search(javafx.event.ActionEvent)">search</a></span>&#8203;(javafx.event.ActionEvent&nbsp;event)</code></th>
<td class="colLast">
<div class="block">When user clicks on search</div>
</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#showAlbumDetails(int)">showAlbumDetails</a></span>&#8203;(int&nbsp;curr_index)</code></th>
<td class="colLast">
<div class="block">Shows the album's details</div>
</td>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#start(javafx.event.ActionEvent)">start</a></span>&#8203;(javafx.event.ActionEvent&nbsp;event)</code></th>
<td class="colLast">
<div class="block">Start the list of albums page</div>
</td>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#update()">update</a></span>()</code></th>
<td class="colLast">
<div class="block">updates the list of album's page</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="username">username</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">username</span></div>
<div class="block">User's username</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="listOfAlbums">listOfAlbums</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="Album.html" title="class in photos.src.Photos">Album</a>&gt;</span>&nbsp;<span class="memberName">listOfAlbums</span></div>
<div class="block">User's list of albums</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="sampleTagNames">sampleTagNames</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;java.lang.String&gt;</span>&nbsp;<span class="memberName">sampleTagNames</span></div>
<div class="block">List of pre-defined tags the User can choose from when creating a new tag</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="listOfTags">listOfTags</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="Tag.html" title="class in photos.src.Photos">Tag</a>&gt;</span>&nbsp;<span class="memberName">listOfTags</span></div>
<div class="block">List of tags the User can choose from when creating a new tag</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(java.lang.String)">User</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">User</span>&#8203;(<span class="arguments">java.lang.String&nbsp;username)</span></div>
<div class="block">User constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>username</code> - </dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">User</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">User</span>()</div>
<div class="block">User constructor</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getUsername()">getUsername</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">getUsername</span>()</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>username</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getListOfAlbums()">getListOfAlbums</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="Album.html" title="class in photos.src.Photos">Album</a>&gt;</span>&nbsp;<span class="memberName">getListOfAlbums</span>()</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>listOfAlbums</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getAlbum(java.lang.String)">getAlbum</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType"><a href="Album.html" title="class in photos.src.Photos">Album</a></span>&nbsp;<span class="memberName">getAlbum</span>&#8203;(<span class="arguments">java.lang.String&nbsp;albumName)</span></div>
<div class="block">Returns the album based on the album name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>albumName</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Album</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getListOfTags()">getListOfTags</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;<a href="Tag.html" title="class in photos.src.Photos">Tag</a>&gt;</span>&nbsp;<span class="memberName">getListOfTags</span>()</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>listOfTags</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="createAlbum(javafx.event.ActionEvent)">createAlbum</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">createAlbum</span>&#8203;(<span class="arguments">javafx.event.ActionEvent&nbsp;event)</span></div>
<div class="block">Creates an album for the User</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="deleteAlbum(javafx.event.ActionEvent)">deleteAlbum</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">deleteAlbum</span>&#8203;(<span class="arguments">javafx.event.ActionEvent&nbsp;event)</span></div>
<div class="block">Deletes album from User's list</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="renameAlbum(javafx.event.ActionEvent)">renameAlbum</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">renameAlbum</span>&#8203;(<span class="arguments">javafx.event.ActionEvent&nbsp;event)</span></div>
<div class="block">Renames album</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="start(javafx.event.ActionEvent)">start</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">start</span>&#8203;(<span class="arguments">javafx.event.ActionEvent&nbsp;event)</span></div>
<div class="block">Start the list of albums page</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="update()">update</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">update</span>()</div>
<div class="block">updates the list of album's page</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="displayAlbum()">displayAlbum</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">displayAlbum</span>()</div>
<div class="block">Displays album</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="showAlbumDetails(int)">showAlbumDetails</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">showAlbumDetails</span>&#8203;(<span class="arguments">int&nbsp;curr_index)</span></div>
<div class="block">Shows the album's details</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>curr_index</code> - </dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="login(javafx.event.ActionEvent,java.lang.String)">login</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">login</span>&#8203;(<span class="arguments">javafx.event.ActionEvent&nbsp;event,
java.lang.String&nbsp;username)</span>
                     throws <span class="exceptions">java.io.IOException,
java.lang.ClassNotFoundException</span></div>
<div class="block">Login Method</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
<dd><code>username</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
<dd><code>java.lang.ClassNotFoundException</code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="logout(javafx.event.ActionEvent)">logout</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">logout</span>&#8203;(<span class="arguments">javafx.event.ActionEvent&nbsp;event)</span>
            throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Logout Method</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="quit(javafx.event.ActionEvent)">quit</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">quit</span>&#8203;(<span class="arguments">javafx.event.ActionEvent&nbsp;event)</span>
          throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Quit method</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="save()">save</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">save</span>()</div>
<div class="block">Save method</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="search(javafx.event.ActionEvent)">search</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">search</span>&#8203;(<span class="arguments">javafx.event.ActionEvent&nbsp;event)</span>
            throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">When user clicks on search</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="openAlbum(javafx.event.ActionEvent)">openAlbum</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">openAlbum</span>&#8203;(<span class="arguments">javafx.event.ActionEvent&nbsp;event)</span>
               throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">When user clicks on open</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
